KDE 4.5 PyKDE API Reference

- KDE's Python API

# AbstractToolBox Class Reference

`from PyKDE4.plasma import *`

Inherits: QGraphicsWidget → QObject
Namespace: Plasma

## Detailed Description

## Enumerations

ToolType | { AddTool, ConfigureTool, ControlTool, MiscTool, DestructiveTool, UserToolType }

## Signals

| toggled ()
| visibilityChanged (bool a0)

## Methods

| __init__ (self, Plasma.Containment parent)
| addTool (self, QAction action)
Plasma.Containment | containment (self)
bool | isShowing (self)
| removeTool (self, QAction action)
| setShowing (self, bool show)

## Signal Documentation

toggled | ( |  | ) |

Signal syntax:
  `QObject.connect(source, SIGNAL("toggled()"), target_slot)`

visibilityChanged | ( | bool | a0
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("visibilityChanged(bool)"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | Plasma.Containment | parent
| ) |  |  |

addTool | ( | self, |
|  | QAction | action
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

create a toolbox tool from the given action action the action to associate the tool with

Plasma.Containment containment | ( |  | self ) |

bool isShowing | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

removeTool | ( | self, |
|  | QAction | action
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

remove the tool associated with this action

setShowing | ( | self, |
|  | bool | show
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

## Enumeration Documentation

ToolType

Enumerator:

  AddTool = 0 |
  ConfigureTool = 100 |
  ControlTool = 200 |
  MiscTool = 300 |
  DestructiveTool = 400 |
  UserToolType = DestructiveTool+1000 |